View Issue Details

IDProjectCategoryView StatusLast Update
14519Bug reports[All Projects] Survey takingpublic2019-02-16 12:25
ReportercdorinAssigned Todominikvitt 
PrioritynormalSeverityminor 
Status resolvedResolutionfixed 
Product Version3.15.x 
Target VersionFixed in Version3.15.x 
Summary14519: Letters do not get automatically deleted any longer in only numbers fields
Description

Select a question that allows only numbers to be entered as answer(s). Type in letters instead of numbers -> letter do not get "deleted" automatically (only the box gets a different colour and gives you a warning that you should type in numbers and not letters).

This is quite a new functionality in LimeSurvey 3.

TagsNo tags attached.
Complete LimeSurvey version number (& build)LimeSurvey 3.15.8 Pro & git
I will donate to the project if issue is resolvedNo
Browser
Database & DB-Versionirrelevant
Server OS (if known)
Webserver software & version (if known)
PHP Versionirrelevant

Relationships

parent of 14540 resolvedDenisChenu Hard to enter some value (decimal values with 0) 
related to 14524 resolvedDenisChenu bFixNumAuto not taken in account 

Activities

dominikvitt

dominikvitt

2019-02-12 16:01

developer   ~50525

This issue is fixed.
https://github.com/LimeSurvey/LimeSurvey/commit/b57e0e57c4c52aab91ef647b5a08b2ab55fa4292

DenisChenu

DenisChenu

2019-02-13 00:12

developer   ~50536

I'm sure it was removed for some reason , but clearly : auto-correction must be allowed to be disabled , best place in template but at minima globally.

cdorin

cdorin

2019-02-13 17:25

manager   ~50545

Not sure about why it has been removed, but there are some customers that use it. Hope it won\t get removed again... or if this happens again... a bug report needs to be created and assigned to markus or dominik or me with the reasons why it was/has to be removed (it's a nice functionality that LimeSurvey users enjoy apparently ^^)

DenisChenu

DenisChenu

2019-02-13 18:40

developer   ~50549

Some limesurvey enjoy, some other not.

It's here since 3.0.0 and reported only now … there are bigger issue not fixed …

DenisChenu

DenisChenu

2019-02-13 19:19

developer   ~50550

Last edited: 2019-02-13 19:21

View 2 revisions

The REAL fix is here : https://github.com/LimeSurvey/LimeSurvey/commit/9df520040242dfd87469018d1021bf6e1c4843ba

The issue was bFixNumAuto is empty since it don't read the variable …

DenisChenu

DenisChenu

2019-02-16 12:25

developer   ~50585

And this fix need https://bugs.limesurvey.org/view.php?id=14540 to work properly …

Issue History

Date Modified Username Field Change
2019-02-12 11:16 cdorin New Issue
2019-02-12 11:16 cdorin Status new => assigned
2019-02-12 11:16 cdorin Assigned To => dominikvitt
2019-02-12 11:16 cdorin Priority none => normal
2019-02-12 16:01 dominikvitt Status assigned => resolved
2019-02-12 16:01 dominikvitt Resolution open => fixed
2019-02-12 16:01 dominikvitt Fixed in Version => 3.15.x
2019-02-12 16:01 dominikvitt Note Added: 50525
2019-02-13 00:12 DenisChenu Note Added: 50536
2019-02-13 17:25 cdorin Note Added: 50545
2019-02-13 18:40 DenisChenu Note Added: 50549
2019-02-13 19:19 DenisChenu Note Added: 50550
2019-02-13 19:19 DenisChenu Relationship added related to 14524
2019-02-13 19:21 DenisChenu Note Edited: 50550 View Revisions
2019-02-16 12:25 DenisChenu Relationship added parent of 14540
2019-02-16 12:25 DenisChenu Note Added: 50585